## mx4j.remote.rmi
Class RMIConnectionProxy

    java.lang.Object
      mx4j.remote.rmi.RMIConnectionProxy

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

Direct Known Subclasses:
  RMIConnectionSubjectInvoker

public class RMIConnectionProxy
extends java.lang.Object
implements java.lang.reflect.InvocationHandler

Base class for RMIConnection dynamic proxies.

Version:
  $Revision: 1.5 $

Constructor Summary
`protected` `RMIConnectionProxy(javax.management.remote.rmi.RMIConnection nested)`

Method Summary
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMIConnectionProxy

    protected RMIConnectionProxy(javax.management.remote.rmi.RMIConnection nested)

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.